// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: loadmodule/loadmodule.proto

package openfmb.loadmodule;

/**
 * <pre>
 * Load status profile
 * </pre>
 *
 * Protobuf type {@code loadmodule.LoadStatusProfile}
 */
public final class LoadStatusProfile extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:loadmodule.LoadStatusProfile)
    LoadStatusProfileOrBuilder {
private static final long serialVersionUID = 0L;
  // Use LoadStatusProfile.newBuilder() to construct.
  private LoadStatusProfile(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private LoadStatusProfile() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new LoadStatusProfile();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.loadmodule.Loadmodule.internal_static_loadmodule_LoadStatusProfile_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.loadmodule.Loadmodule.internal_static_loadmodule_LoadStatusProfile_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.loadmodule.LoadStatusProfile.class, openfmb.loadmodule.LoadStatusProfile.Builder.class);
  }

  public static final int STATUSMESSAGEINFO_FIELD_NUMBER = 1;
  private openfmb.commonmodule.StatusMessageInfo statusMessageInfo_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusMessageInfo field is set.
   */
  @java.lang.Override
  public boolean hasStatusMessageInfo() {
    return statusMessageInfo_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusMessageInfo.
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusMessageInfo getStatusMessageInfo() {
    return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusMessageInfoOrBuilder getStatusMessageInfoOrBuilder() {
    return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
  }

  public static final int ENERGYCONSUMER_FIELD_NUMBER = 2;
  private openfmb.commonmodule.EnergyConsumer energyConsumer_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the energyConsumer field is set.
   */
  @java.lang.Override
  public boolean hasEnergyConsumer() {
    return energyConsumer_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The energyConsumer.
   */
  @java.lang.Override
  public openfmb.commonmodule.EnergyConsumer getEnergyConsumer() {
    return energyConsumer_ == null ? openfmb.commonmodule.EnergyConsumer.getDefaultInstance() : energyConsumer_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.EnergyConsumerOrBuilder getEnergyConsumerOrBuilder() {
    return energyConsumer_ == null ? openfmb.commonmodule.EnergyConsumer.getDefaultInstance() : energyConsumer_;
  }

  public static final int LOADSTATUS_FIELD_NUMBER = 3;
  private openfmb.loadmodule.LoadStatus loadStatus_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the loadStatus field is set.
   */
  @java.lang.Override
  public boolean hasLoadStatus() {
    return loadStatus_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The loadStatus.
   */
  @java.lang.Override
  public openfmb.loadmodule.LoadStatus getLoadStatus() {
    return loadStatus_ == null ? openfmb.loadmodule.LoadStatus.getDefaultInstance() : loadStatus_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.loadmodule.LoadStatusOrBuilder getLoadStatusOrBuilder() {
    return loadStatus_ == null ? openfmb.loadmodule.LoadStatus.getDefaultInstance() : loadStatus_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (statusMessageInfo_ != null) {
      output.writeMessage(1, getStatusMessageInfo());
    }
    if (energyConsumer_ != null) {
      output.writeMessage(2, getEnergyConsumer());
    }
    if (loadStatus_ != null) {
      output.writeMessage(3, getLoadStatus());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (statusMessageInfo_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getStatusMessageInfo());
    }
    if (energyConsumer_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getEnergyConsumer());
    }
    if (loadStatus_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getLoadStatus());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.loadmodule.LoadStatusProfile)) {
      return super.equals(obj);
    }
    openfmb.loadmodule.LoadStatusProfile other = (openfmb.loadmodule.LoadStatusProfile) obj;

    if (hasStatusMessageInfo() != other.hasStatusMessageInfo()) return false;
    if (hasStatusMessageInfo()) {
      if (!getStatusMessageInfo()
          .equals(other.getStatusMessageInfo())) return false;
    }
    if (hasEnergyConsumer() != other.hasEnergyConsumer()) return false;
    if (hasEnergyConsumer()) {
      if (!getEnergyConsumer()
          .equals(other.getEnergyConsumer())) return false;
    }
    if (hasLoadStatus() != other.hasLoadStatus()) return false;
    if (hasLoadStatus()) {
      if (!getLoadStatus()
          .equals(other.getLoadStatus())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasStatusMessageInfo()) {
      hash = (37 * hash) + STATUSMESSAGEINFO_FIELD_NUMBER;
      hash = (53 * hash) + getStatusMessageInfo().hashCode();
    }
    if (hasEnergyConsumer()) {
      hash = (37 * hash) + ENERGYCONSUMER_FIELD_NUMBER;
      hash = (53 * hash) + getEnergyConsumer().hashCode();
    }
    if (hasLoadStatus()) {
      hash = (37 * hash) + LOADSTATUS_FIELD_NUMBER;
      hash = (53 * hash) + getLoadStatus().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.loadmodule.LoadStatusProfile parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.loadmodule.LoadStatusProfile parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.loadmodule.LoadStatusProfile parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.loadmodule.LoadStatusProfile parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.loadmodule.LoadStatusProfile parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.loadmodule.LoadStatusProfile parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.loadmodule.LoadStatusProfile parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.loadmodule.LoadStatusProfile parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.loadmodule.LoadStatusProfile parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.loadmodule.LoadStatusProfile parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.loadmodule.LoadStatusProfile parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.loadmodule.LoadStatusProfile parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.loadmodule.LoadStatusProfile prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Load status profile
   * </pre>
   *
   * Protobuf type {@code loadmodule.LoadStatusProfile}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:loadmodule.LoadStatusProfile)
      openfmb.loadmodule.LoadStatusProfileOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.loadmodule.Loadmodule.internal_static_loadmodule_LoadStatusProfile_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.loadmodule.Loadmodule.internal_static_loadmodule_LoadStatusProfile_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.loadmodule.LoadStatusProfile.class, openfmb.loadmodule.LoadStatusProfile.Builder.class);
    }

    // Construct using openfmb.loadmodule.LoadStatusProfile.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      statusMessageInfo_ = null;
      if (statusMessageInfoBuilder_ != null) {
        statusMessageInfoBuilder_.dispose();
        statusMessageInfoBuilder_ = null;
      }
      energyConsumer_ = null;
      if (energyConsumerBuilder_ != null) {
        energyConsumerBuilder_.dispose();
        energyConsumerBuilder_ = null;
      }
      loadStatus_ = null;
      if (loadStatusBuilder_ != null) {
        loadStatusBuilder_.dispose();
        loadStatusBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.loadmodule.Loadmodule.internal_static_loadmodule_LoadStatusProfile_descriptor;
    }

    @java.lang.Override
    public openfmb.loadmodule.LoadStatusProfile getDefaultInstanceForType() {
      return openfmb.loadmodule.LoadStatusProfile.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.loadmodule.LoadStatusProfile build() {
      openfmb.loadmodule.LoadStatusProfile result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.loadmodule.LoadStatusProfile buildPartial() {
      openfmb.loadmodule.LoadStatusProfile result = new openfmb.loadmodule.LoadStatusProfile(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.loadmodule.LoadStatusProfile result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.statusMessageInfo_ = statusMessageInfoBuilder_ == null
            ? statusMessageInfo_
            : statusMessageInfoBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.energyConsumer_ = energyConsumerBuilder_ == null
            ? energyConsumer_
            : energyConsumerBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.loadStatus_ = loadStatusBuilder_ == null
            ? loadStatus_
            : loadStatusBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.loadmodule.LoadStatusProfile) {
        return mergeFrom((openfmb.loadmodule.LoadStatusProfile)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.loadmodule.LoadStatusProfile other) {
      if (other == openfmb.loadmodule.LoadStatusProfile.getDefaultInstance()) return this;
      if (other.hasStatusMessageInfo()) {
        mergeStatusMessageInfo(other.getStatusMessageInfo());
      }
      if (other.hasEnergyConsumer()) {
        mergeEnergyConsumer(other.getEnergyConsumer());
      }
      if (other.hasLoadStatus()) {
        mergeLoadStatus(other.getLoadStatus());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getStatusMessageInfoFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getEnergyConsumerFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getLoadStatusFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.StatusMessageInfo statusMessageInfo_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder> statusMessageInfoBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the statusMessageInfo field is set.
     */
    public boolean hasStatusMessageInfo() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return The statusMessageInfo.
     */
    public openfmb.commonmodule.StatusMessageInfo getStatusMessageInfo() {
      if (statusMessageInfoBuilder_ == null) {
        return statusMessageInfo_ == null ? openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
      } else {
        return statusMessageInfoBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusMessageInfo(openfmb.commonmodule.StatusMessageInfo value) {
      if (statusMessageInfoBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        statusMessageInfo_ = value;
      } else {
        statusMessageInfoBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusMessageInfo(
        openfmb.commonmodule.StatusMessageInfo.Builder builderForValue) {
      if (statusMessageInfoBuilder_ == null) {
        statusMessageInfo_ = builderForValue.build();
      } else {
        statusMessageInfoBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeStatusMessageInfo(openfmb.commonmodule.StatusMessageInfo value) {
      if (statusMessageInfoBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          statusMessageInfo_ != null &&
          statusMessageInfo_ != openfmb.commonmodule.StatusMessageInfo.getDefaultInstance()) {
          getStatusMessageInfoBuilder().mergeFrom(value);
        } else {
          statusMessageInfo_ = value;
        }
      } else {
        statusMessageInfoBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearStatusMessageInfo() {
      bitField0_ = (bitField0_ & ~0x00000001);
      statusMessageInfo_ = null;
      if (statusMessageInfoBuilder_ != null) {
        statusMessageInfoBuilder_.dispose();
        statusMessageInfoBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusMessageInfo.Builder getStatusMessageInfoBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getStatusMessageInfoFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusMessageInfoOrBuilder getStatusMessageInfoOrBuilder() {
      if (statusMessageInfoBuilder_ != null) {
        return statusMessageInfoBuilder_.getMessageOrBuilder();
      } else {
        return statusMessageInfo_ == null ?
            openfmb.commonmodule.StatusMessageInfo.getDefaultInstance() : statusMessageInfo_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusMessageInfo statusMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder> 
        getStatusMessageInfoFieldBuilder() {
      if (statusMessageInfoBuilder_ == null) {
        statusMessageInfoBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.StatusMessageInfo, openfmb.commonmodule.StatusMessageInfo.Builder, openfmb.commonmodule.StatusMessageInfoOrBuilder>(
                getStatusMessageInfo(),
                getParentForChildren(),
                isClean());
        statusMessageInfo_ = null;
      }
      return statusMessageInfoBuilder_;
    }

    private openfmb.commonmodule.EnergyConsumer energyConsumer_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EnergyConsumer, openfmb.commonmodule.EnergyConsumer.Builder, openfmb.commonmodule.EnergyConsumerOrBuilder> energyConsumerBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the energyConsumer field is set.
     */
    public boolean hasEnergyConsumer() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The energyConsumer.
     */
    public openfmb.commonmodule.EnergyConsumer getEnergyConsumer() {
      if (energyConsumerBuilder_ == null) {
        return energyConsumer_ == null ? openfmb.commonmodule.EnergyConsumer.getDefaultInstance() : energyConsumer_;
      } else {
        return energyConsumerBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setEnergyConsumer(openfmb.commonmodule.EnergyConsumer value) {
      if (energyConsumerBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        energyConsumer_ = value;
      } else {
        energyConsumerBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setEnergyConsumer(
        openfmb.commonmodule.EnergyConsumer.Builder builderForValue) {
      if (energyConsumerBuilder_ == null) {
        energyConsumer_ = builderForValue.build();
      } else {
        energyConsumerBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeEnergyConsumer(openfmb.commonmodule.EnergyConsumer value) {
      if (energyConsumerBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          energyConsumer_ != null &&
          energyConsumer_ != openfmb.commonmodule.EnergyConsumer.getDefaultInstance()) {
          getEnergyConsumerBuilder().mergeFrom(value);
        } else {
          energyConsumer_ = value;
        }
      } else {
        energyConsumerBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearEnergyConsumer() {
      bitField0_ = (bitField0_ & ~0x00000002);
      energyConsumer_ = null;
      if (energyConsumerBuilder_ != null) {
        energyConsumerBuilder_.dispose();
        energyConsumerBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.EnergyConsumer.Builder getEnergyConsumerBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getEnergyConsumerFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.EnergyConsumerOrBuilder getEnergyConsumerOrBuilder() {
      if (energyConsumerBuilder_ != null) {
        return energyConsumerBuilder_.getMessageOrBuilder();
      } else {
        return energyConsumer_ == null ?
            openfmb.commonmodule.EnergyConsumer.getDefaultInstance() : energyConsumer_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.EnergyConsumer energyConsumer = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EnergyConsumer, openfmb.commonmodule.EnergyConsumer.Builder, openfmb.commonmodule.EnergyConsumerOrBuilder> 
        getEnergyConsumerFieldBuilder() {
      if (energyConsumerBuilder_ == null) {
        energyConsumerBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.EnergyConsumer, openfmb.commonmodule.EnergyConsumer.Builder, openfmb.commonmodule.EnergyConsumerOrBuilder>(
                getEnergyConsumer(),
                getParentForChildren(),
                isClean());
        energyConsumer_ = null;
      }
      return energyConsumerBuilder_;
    }

    private openfmb.loadmodule.LoadStatus loadStatus_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.loadmodule.LoadStatus, openfmb.loadmodule.LoadStatus.Builder, openfmb.loadmodule.LoadStatusOrBuilder> loadStatusBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the loadStatus field is set.
     */
    public boolean hasLoadStatus() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The loadStatus.
     */
    public openfmb.loadmodule.LoadStatus getLoadStatus() {
      if (loadStatusBuilder_ == null) {
        return loadStatus_ == null ? openfmb.loadmodule.LoadStatus.getDefaultInstance() : loadStatus_;
      } else {
        return loadStatusBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setLoadStatus(openfmb.loadmodule.LoadStatus value) {
      if (loadStatusBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        loadStatus_ = value;
      } else {
        loadStatusBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setLoadStatus(
        openfmb.loadmodule.LoadStatus.Builder builderForValue) {
      if (loadStatusBuilder_ == null) {
        loadStatus_ = builderForValue.build();
      } else {
        loadStatusBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeLoadStatus(openfmb.loadmodule.LoadStatus value) {
      if (loadStatusBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          loadStatus_ != null &&
          loadStatus_ != openfmb.loadmodule.LoadStatus.getDefaultInstance()) {
          getLoadStatusBuilder().mergeFrom(value);
        } else {
          loadStatus_ = value;
        }
      } else {
        loadStatusBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearLoadStatus() {
      bitField0_ = (bitField0_ & ~0x00000004);
      loadStatus_ = null;
      if (loadStatusBuilder_ != null) {
        loadStatusBuilder_.dispose();
        loadStatusBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.loadmodule.LoadStatus.Builder getLoadStatusBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getLoadStatusFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.loadmodule.LoadStatusOrBuilder getLoadStatusOrBuilder() {
      if (loadStatusBuilder_ != null) {
        return loadStatusBuilder_.getMessageOrBuilder();
      } else {
        return loadStatus_ == null ?
            openfmb.loadmodule.LoadStatus.getDefaultInstance() : loadStatus_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.loadmodule.LoadStatus loadStatus = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.loadmodule.LoadStatus, openfmb.loadmodule.LoadStatus.Builder, openfmb.loadmodule.LoadStatusOrBuilder> 
        getLoadStatusFieldBuilder() {
      if (loadStatusBuilder_ == null) {
        loadStatusBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.loadmodule.LoadStatus, openfmb.loadmodule.LoadStatus.Builder, openfmb.loadmodule.LoadStatusOrBuilder>(
                getLoadStatus(),
                getParentForChildren(),
                isClean());
        loadStatus_ = null;
      }
      return loadStatusBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:loadmodule.LoadStatusProfile)
  }

  // @@protoc_insertion_point(class_scope:loadmodule.LoadStatusProfile)
  private static final openfmb.loadmodule.LoadStatusProfile DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.loadmodule.LoadStatusProfile();
  }

  public static openfmb.loadmodule.LoadStatusProfile getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<LoadStatusProfile>
      PARSER = new com.google.protobuf.AbstractParser<LoadStatusProfile>() {
    @java.lang.Override
    public LoadStatusProfile parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<LoadStatusProfile> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<LoadStatusProfile> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.loadmodule.LoadStatusProfile getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

